

<h1 align="center"><a href="https://maptalks.org"><img alt="maptalks logo" src="https://user-images.githubusercontent.com/13678919/31478848-cc8d5ef0-af45-11e7-99a9-d894a3c0c7c2.png"/></a></h1>


[![NPM Version](https://img.shields.io/npm/v/maptalks.svg)](https://github.com/maptalks/maptalks.js) [![Circle CI](https://circleci.com/gh/maptalks/maptalks.js.svg?style=shield)](https://circleci.com/gh/maptalks/maptalks.js) [![Build status](https://ci.appveyor.com/api/projects/status/r9pb0dhqqq3cdppy/branch/master?svg=true)](https://ci.appveyor.com/project/fuzhenn/maptalks-js) [![Build Status](https://travis-ci.org/maptalks/maptalks.js.svg?branch=master)](https://travis-ci.org/maptalks/maptalks.js) [![codecov](https://codecov.io/gh/maptalks/maptalks.js/branch/master/graph/badge.svg)](https://codecov.io/gh/maptalks/maptalks.js) [![devDependency Status](https://david-dm.org/maptalks/maptalks.js/dev-status.svg)](https://david-dm.org/maptalks/maptalks.js#info=devDependencies)
------

A light JavaScript library to create integrated 2D/3D maps. 

* **2D/3D**: Integrated 2D/3D maps.
* **Open and pluggable**: Easy to extend with techs you may love as [plugins](https://maptalks.org/plugins.html).
* **Performant**: Can smoothly render tens of thousands of geometries.
* **Simple**: Extremely easy to learn and use.
* **Feature Packed**: Essential features for the most mapping needs.

## The Story

maptalks.js was born in 2013, for a map-centric project to help [YUM! China](http://www.yumchina.com/en/) to choose locations of KFC and PizzaHut restaurants. After verified in many projects of government depts and enterprises, in 2016, we did a complete rewrite with ES2015 and open source it, hoping it can make your life easier in mapping projects.

## Resources

* [Web Site](https://maptalks.org)
* [Examples](https://maptalks.github.io/examples/en/map/load/)
* [API Reference](https://maptalks.github.io/maptalks.js/api/0.x/Map.html)
* [Docs](https://github.com/maptalks/maptalks.js/wiki)
* [Plugins](https://maptalks.org/plugins.html)

## Supported Enviroments

* Modern browsers and IE9+ (only IE11 for 3D features)
* Mobile browsers
* Node >= 4.x
* Electron

maptalks.js is well tested against IE10, IE11, Firefox and Chrome by around 1.5K test cases running on CI services. IE9 is not covered by CI because testing continues to crash for some unknown reasons. Issues on IE9 will be taken care of case by case.

## Plugin Development

It's easy and joyful to write plugins for maptalks, please check out [the tutorials](https://github.com/maptalks/maptalks.js/wiki) and begin to develop you own. And welcome to [share your works](https://github.com/maptalks/maptalks.github.io/issues/new) with us.

## Contributing

We welcome any kind of contributions including issue reportings, pull requests, documentation corrections, feature requests and any other helps.

### Contributing Code
Please see the [Contribution Guide](CONTRIBUTING.md).

## Acknowledgments

Maptalks is built on the shoulders of giants. Please refer to [ACKNOWLEDGEMENT](ACKNOWLEDGEMENT) for details.
